--- a/src/gallium/drivers/radeonsi/si_pipe.c
+++ b/src/gallium/drivers/radeonsi/si_pipe.c
@@ -1577,16 +1577,7 @@ struct pipe_screen *radeonsi_screen_create(int fd, const struct pipe_screen_conf
       rw = amdgpu_winsys_create(fd, config, radeonsi_screen_create_impl, true);
    } else
 #endif
-   {
-      switch (version->version_major) {
-      case 2:
-         rw = radeon_drm_winsys_create(fd, config, radeonsi_screen_create_impl);
-         break;
-      case 3:
-         rw = amdgpu_winsys_create(fd, config, radeonsi_screen_create_impl, false);
-         break;
-      }
-   }
+   rw = amdgpu_winsys_create(fd, config, radeonsi_screen_create_impl, false);
 
    si_driver_ds_init();
 
